package cn.com.qmth.stmms.biz.mark.model;

import java.util.Date;

import cn.com.qmth.stmms.biz.exam.model.Marker;

public class ArbitrationDTO {

    private String markerName;

    private Date markerTime;

    private Double totalScore;

    private String scoreList;

    public ArbitrationDTO(MarkLibrary library, Marker marker) {
        markerName = marker.getUser().getName();
        markerTime = library.getMarkerTime();
        totalScore = library.getMarkerScore();
        scoreList = library.getMarkerScoreList();
    }

    public String getMarkerName() {
        return markerName;
    }

    public void setMarkerName(String markerName) {
        this.markerName = markerName;
    }

    public Date getMarkerTime() {
        return markerTime;
    }

    public void setMarkerTime(Date markerTime) {
        this.markerTime = markerTime;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public String getScoreList() {
        return scoreList;
    }

    public void setScoreList(String scoreList) {
        this.scoreList = scoreList;
    }

}
